Subject: bug#6468: A couple of problem related to frame raising (partly w32)

From: Lennart Borgman <[email-masked]>
Date: Sat, 19 Jun 2010 22:32:19 +0200

On Sat, Jun 19, 2010 at 9:20 PM, Juanma Barranquero <[email-masked]> wrote:
>
> You seem to think that other people on these discusions have all the
> time of the world. Often, if you gave all the details, as precise as
> possible, from the beginning, everyone involved (including yourself)
> would save time.

I often do not have them. It is mostly not that kind of problem I am reporting.

> If you propose a change and it is not accepted
> because the interested parties do not understand what problem you're
> experiencing or cannot reproduce it because you have not provided
> detail enough to convince them that there is indeed a problem and your
> fix is sound... well, then, who's wasting who's time?

Some problems, like the "jumping scrolling" seems hard to understand
though I have given all logically necessary details.

What do you want me to do then?

>> However if you want to comment on the bad nesting here I would be
>> glad. Do I misread it?
>
> I cannot comment. I don't see a reproducible recipe and a clear
> description in your report.

I have no recipe. I asked about the code. Was that unclear in some
way? Please explain why then.

I am asking about this part:

       foreground_window = GetForegroundWindow ();
       foreground_thread = GetWindowThreadProcessId (foreground_window, NULL);
       if (!foreground_window
           || foreground_thread == GetCurrentThreadId ()

Does not the if clause mean that if foreground_wind is not 0 then the
old value of foreground_thread will be erased? Or am I misreading
this?

>    Juanma